Bug 216214 - math/scilab: fails to build with clang 4.0 (2 ports skipped)
Summary: math/scilab: fails to build with clang 4.0 (2 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-18 08:28 UTC by Jan Beich
Modified: 2017-02-05 18:59 UTC (History)
0 users

See Also:


Attachments
New patch for "files" dir (559 bytes, patch)
2017-01-22 04:24 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-18 08:28:04 UTC
src/cpp/diary_manager.cpp:64:24: error: ordered comparison between pointer and zero ('int *' and 'int')
        if (array_size > 0)
            ~~~~~~~~~~ ^ ~

build log: http://sprunge.us/ZGGJ
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Pedro F. Giffuni freebsd_committer 2017-01-22 04:24:01 UTC
Created attachment 179200 [details]
New patch for "files" dir

Looking at a similar occurrence in the same file, this seems like a typo in the code.
Comment 2 commit-hook freebsd_committer 2017-02-05 18:58:12 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 18:57:41 UTC 2017
New revision: 433441
URL: https://svnweb.freebsd.org/changeset/ports/433441

Log:
  math/scilab: unbreak with clang 4.0

  src/cpp/diary_manager.cpp:64:24: error: ordered comparison between pointer and zero ('int *' and 'int')
          if (array_size > 0)
              ~~~~~~~~~~ ^ ~

  PR:		216214
  Submitted by:	pfg
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/math/scilab/Makefile
  head/math/scilab/files/patch-modules_output__stream_src_cpp_diary__manager.cpp
Comment 3 Jan Beich freebsd_committer 2017-02-05 18:59:06 UTC
Thanks. Landed.